Bug 136248 - Gigabit netcard won't work: "r8169: eth2 Reset RTL8169s PHY" on console.
Gigabit netcard won't work: "r8169: eth2 Reset RTL8169s PHY" on console.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-18 16:51 EDT by Brian Kjelin Olsen
Modified: 2015-01-04 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from lspci -vx (5.96 KB, text/plain)
2004-10-19 17:55 EDT, Brian Kjelin Olsen
no flags Details

  None (edit)
Description Brian Kjelin Olsen 2004-10-18 16:51:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
My Gigabit net card (NetGear GA311) won’t work with Fedora Core 2.
At first it seems to startup just fine using the ifup command. But
there isn't any link (Noticed on switch).

During boot of the machine my switch is marking for a link (100Mbit),
but that is before Linux is loaded. When Linux is starting up the link
goes dead.
Then I noticed that on the console display every 10 sec. it displays
“r8169: eth2: Reset RTL8169s PHY”.
The eth2 is (of course) the correct net card.

Please help.


Version-Release number of selected component (if applicable):
kernel 2.6.8-1.521

How reproducible:
Always

Steps to Reproduce:
1. ifup eth2 - on my system :-)


Actual Results:  Net card won't work (no link).
Message on console: “r8169: eth2: Reset RTL8169s PHY” every 10 seconds.

Expected Results:  Net card should work and error messages should be gone.

Additional info:
Comment 1 Francois Romieu 2004-10-19 15:21:43 EDT
Can you specify the last revision of the kernel which was 
functionnal for your network adapter ? 
 
A description of the host system + lspci -vx output will be welcome. 
Comment 2 Brian Kjelin Olsen 2004-10-19 17:55:14 EDT
Created attachment 105472 [details]
Output from lspci -vx
Comment 3 Brian Kjelin Olsen 2004-10-19 18:00:33 EDT
This is the first time I'm using this netcard. It's a new one.
The lspci info is of course added by your request.

Btw. I found out that by setting the netcard to run only at 10Mbit by
attach it to an old hub, the  message on the console is gone and i can
actually use the netcard. Unfortunally at the "speed" at 10Mbit :(
Comment 4 Francois Romieu 2004-10-19 18:55:04 EDT
I have checked the sources of the kernel 2.6.8-1.521 and it lags a 
bit wrt link management for the r8169 driver. 
 
You can try to apply 
http://www.fr.zoreil.com/linux/kernel/2.6.x/2.6.8/r8169-2.6.8-to-2.6.9.patch 
 
It contains an upgrade to the current 2.6.9 code which seems 
decently stable and will provide a few extra functions to manage the 
link via 'ethtool'. 
 
Please report success/failure. 
 
Btw I am not sure that you want to have the 8169 on the same irq 
line than your scsi adapter (especially as it is shared a lot). 
 
Comment 5 Dave Jones 2005-04-16 00:19:28 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.